Questions sur l'installation et la configuration de Manjaro Linux.
Répondre

Warning à propos de root..

#1Messageil y a 1 mois

Bonjour à toutes et tous, :bjr:

Depuis la dernière mise à jour, j'ai le message ci dessous qui s'affiche à chaque démarrage et arrêt.
Ça n'as pas de conséquence pour l'instant, mais bon, c'est mieux de corriger le problème, je pense.
Pouvez-vous me dire ce que ça veut dire et ce que je dois faire, svp ? :sos:

Image

Warning à propos de root..

#2Messageil y a 1 mois

Alors je pensais que le problème était connu.
Vu que personne ne répond, je suppose qu'il ne l'est pas tant que ça.

Donc, après recherche, la solution serait de faire un update-grub, mais ça ne marche pas chez moi. :saispas:

Alors, il faut aller dans /boot/grub/grub.cfg
Trouver les lignes(moi j'en ai 5) ressemblants à celle-ci : linux /boot/vmlinuz-5.7-x86_64 root=UUID=ec2fc333-d8d0-4016-869f-f30670c9ccea ro quiet apparmor=1 security=apparmor udev.log_priority=3
Et remplacer ro par rw.

Et voila, plus de warning. :bien
Mais bon, ça risque de revenir à la prochaine mise à jour de grub, du coup.. :desole:
Dernière modification par redheadil y a 1 mois, modifié au total 1 fois.

Warning à propos de root..

#3Messageil y a 1 mois

Bonjour,
Merci de nous donner la solution :gsourire: mais effectivement je ne connaissais pas (mais bon, je ne suis pas un expert non plus).
Pour la suite, regarde dans /etc/default/grub, ce fichier est modifiable et sert de base à /boot/grub/grub.cfg et au grub-update.
Denis

Warning à propos de root..

#4Messageil y a 1 mois

@Denis-pom

Ok, merci pour l'info. :bien

C'est la dernière ligne qui est à modifier :

# Uncomment to ensure that the root filesystem is mounted read-only so that
# systemd-fsck can run the check automatically
GRUB_ROOT_FS_RO=false
C'était true et j'ai mis false, j'ai régénéré le grub pour voir et ça fonctionne.

Par contre, comment true est arrivé là ? :saispas:

Warning à propos de root..

#5Messageil y a 1 mois

Bonjour.
Attention, les noyaux 5.7, 5.8 et 5.9 ne sont plus maintenus (sauf le 5.9-rt pour le moment).
Il faudra assez rapidement installer le 5.10 ou repasser sur le 5.4 qui est LTS.

Warning à propos de root..

#6Messageil y a 1 mois

@lemust83

Je suis pourtant sur le 5.4, et depuis un moment, maintenant.
Je ne suis pas de ceux qui cherche les ennuies, je reste tout le temps sur un LTS, et quand un nouveau apparaît, j’attends quelques mois avant d'y aller.

Ça vient peut-être de /etc/default/grub..
Il est vivant ? :?
Répondre